Subject: FW: press for cygwin
From: Mark Bradshaw <[email-masked]>
To: [email-masked]
Date: Fri, 31 Aug 2001 12:39:25 -0400

> -----Original Message-----
> From: Charles Wilson [mailto:[email-masked]]
> Sent: Friday, August 31, 2001 11:07 AM
> To: Mark Bradshaw
> Cc: [email-masked]'
> Subject: Re: press for cygwin
> 
> 
> Mark Bradshaw wrote:
> 
> > Hmm...  Should I paint a bulls eye on my chest here.  Eh.  Why not.
> 
> 
> Actually, even a year ago it would have been a good idea to 
> contact the 
> list, or Red Hat, and asked for some fact-checking help.  
> There are some 
> errors in your article -- esp. the WinZip thing -- that we could have 
> helped you avoid prior to publication.
> 
> Most opensource projects are so overjoyed to get press that 
> they will be 
> very helpful to writers and reporters.  (And it IS possible to get 
> fact-checking help from your primary sources without giving up your 
> journalistic independence or integrity.)

I did contact the list.  Had the help of some members.  WinZip was an
acceptable choice at the time.  The packages weren't in bz2 format, and I
don't need symlinks, etc. for the install to work.

> > 
> > Couple of quick notes on the thread.  
> > 
> > 1)  Complete agreement with Jonathon Merz on the WinZip 
> thing.  Going to bz2
> > just to thwart WinZip doesn't seem like a good use of 
> energy.  Unfortunately
> > at the time I wrote the article bz2 wasn't in use for the 
> packages.  WinZip,
> > being the most popular zip tool for Windows, seemed the 
> obvious choice for
> > unzipping the cygwin packages.  You wouldn't believe how 
> long it takes to
> > get an article printed. :(
> 
> 
> But you missed the point of my original response: WinZip creates a 
> *broken* installation.  The necessary registry entries are 
> not created, 
> and many packages contain symlinks which WinZip won't recreate. I'm 
> surprised you were able to get it to work at all, when 
> installing using 
> WinZip.  (You *did* test your own instructions on a clean 
> machine, right?)

It's not broken if you're just installing ssh, which is all the article
covers.  Yes, I did test it.

> > 
> > 2)  Goes the same for the references to old versions, etc.  
> The article's
> > almost a year old now, believe it or not.
> 
> 
> Well, that's forgivable, then. :-)
> 
> 
> > 3)  Yes I know it's an unsupported install, but I think the 
> point was missed
> > here.  Many windows admins won't install the full cygwin 
> installation, and
> > most won't have a clue what to do with bash, etc.  The 
> point here isn't to
> > exclude people from a great tool, but to help make an 
> intermediate step more
> > palatable.  I know many will disagree with this, with 
> sentiments along the
> > lines of "They should just learn how to work with it."  I 
> disagree.  I think
> > it's worth it to get telnet replaced, in whatever fashion 
> that happens.
> > Bashless or not.
> 
> 
> The following reference wasn't available "back then" but it is now: 
> Michael Erdeley has a nice reference on a minimal ssh/cygwin 
> installation.
> 
> http://tech.erdeleynet.com/cygwin-sshd.asp

Thanks for the link.  I'm aware of Michael's info.  In fact, I'm on his list
and answer questions from time to time.

> 
> 
> > 4)  The weird "ps &-ef" and "kill &-HUP <PID>" commands are 
> not my fault.
> > <whine>  The publisher's somehow managed to screw up some 
> of the command
> > lines.  </whine>  They will be corrected soon hopefully.
> 
> 
> Yeah, that's what I thought.
> 
> 
> > I apologize if I've stepped on some toes with this article. 
>  I know that
> > here I'm talking to the folks who are satisfied with the full cygwin
> > install, or are knowledgeable enough about it to install 
> the portions
> > necessary without the hand holding.  You aren't the target 
> audience for a
> > piece like this.  I hoped to catch those people who are 
> largely unaware of
> > cygwin and ssh and maybe give them a push into using it.  
> > 
> 
> 
> Our main complaint comes from this:  hand holding for newbies 
> is a good 
> and necessary thing -- but the instructions given need to be 
> accurate. 
> And if your instructions are wrong, or lead to a broken 
> installation -- 
> *WE* (the cygwin project) get the blame for a "crappy product".  "I 
> tried that piece of #@!^ but couldn't get it to work."  etc.
> 
> Or, "I followed the instructions at .... and STILL can't get 
> cygwin to 
> work" messages on the mailing list.
> 
> --Chuck
> 

Understood.  Feel free to point them my way.  "He did it."

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/